local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)
local S = minetest.get_translator(mod_name)

aom_combat = {}
aom_combat.has_aom_tcraft = minetest.get_modpath("aom_tcraft") ~= nil

dofile(mod_path .. DIR_DELIM .. "scripts" .. DIR_DELIM .. "projectile.lua")
dofile(mod_path .. DIR_DELIM .. "scripts" .. DIR_DELIM .. "throwable.lua")
dofile(mod_path .. DIR_DELIM .. "scripts" .. DIR_DELIM .. "cooldown.lua")
dofile(mod_path .. DIR_DELIM .. "scripts" .. DIR_DELIM .. "telegraph.lua")
dofile(mod_path .. DIR_DELIM .. "scripts" .. DIR_DELIM .. "explosions.lua")
dofile(mod_path .. DIR_DELIM .. "scripts" .. DIR_DELIM .. "attack.lua")
dofile(mod_path .. DIR_DELIM .. "scripts" .. DIR_DELIM .. "item_register.lua")

-- items
dofile(mod_path .. DIR_DELIM .. "items" .. DIR_DELIM .. "melee_weapons.lua")
